Just updated from 2.0.19 to 2.1.2 - user agreement required. Do not want

Started by nc3man, August 15, 2022, 05:26:26 PM

Previous topic - Next topic

nc3man

I finally did the major upgrade, figuring that 2.1.x is ready and able for our site. The upgrade went smoothly after I copied our old Settings.php into the smf root folder. However, I get this annoying message: Warning!!! You are requiring new users to accept a registration agreement; however, the file (agreement.txt) does not exist. I browsed around the Configuration and could not figure out how to turn this off.

GL700Wing

To change the requirement for new users to accept the registration agreement and/or privacy policy you can update the settings via Administration Center > Registration > Settings.
Life doesn't have to be perfect to be wonderful ...

TwitchisMental

Quote from: nc3man on August 15, 2022, 05:26:26 PMI finally did the major upgrade, figuring that 2.1.x is ready and able for our site. The upgrade went smoothly after I copied our old Settings.php into the smf root folder. However, I get this annoying message: Warning!!! You are requiring new users to accept a registration agreement; however, the file (agreement.txt) does not exist. I browsed around the Configuration and could not figure out how to turn this off.

Hello nc3man,

You can get the agreement.txt from the SMF install package. Just upload it to the root of your SMF directory. That should get rid of the error that you are reporting.

If you do not want a registration agreement to be required -

Go to Admin CP > Members > Registration > Settings

uncheck "Require new members to accept the registration agreement."

Edit : I'm too slow, GL already replied XD .
My SMF Themes - Remixed Breadcrumb Tutorial
Need a Custom SMF Theme? Send me a message.

nc3man

Thanks - I just disabled it. Btw, there is no agreement.txt in the UPGRADE package, which is what I grabbed instead of a fresh install package. I uploaded the full upgrade package, smf_2-1-2_upgrade.zip (Large Upgrade from https://download.simplemachines.org/), so I would have had it if it were included. I just downloaded the full install for 2.1.2 and besides the upgrade scripts and sql in the root directory, the upgrade package lacks just two files, agreement.txt and Settings.php. Makes sense, since both of these would likely be site-specific and you wouldn't want the upgrade to overwrite. A quick mention of that in the upgrade instructions would be useful.

nc3man

Quote from: GL700Wing on August 15, 2022, 05:45:41 PMTo change the requirement for new users to accept the registration agreement and/or privacy policy you can update the settings via Administration Center > Registration > Settings.
Thank you - not sure how I missed such an obvious location

Advertisement: